## uhubctl 2.0.0

=== Makefile ===
# uhubctl Makefile
#
UNAME_S := $(shell uname -s)

DESTDIR ?=
prefix  ?= /usr
sbindir ?= $(prefix)/sbin

INSTALL		:= install
INSTALL_DIR	:= $(INSTALL) -m 755 -d
INSTALL_PROGRAM	:= $(INSTALL) -m 755
RM		:= rm -rf

CC ?= gcc
CFLAGS ?= -g -O0
CFLAGS += -Wall -Wextra -std=c99 -pedantic
GIT_VERSION := $(shell git describe --abbrev=4 --dirty --always --tags)
CFLAGS += -DPROGRAM_VERSION=\"$(GIT_VERSION)\"

ifeq ($(UNAME_S),Linux)
	LDFLAGS += -Wl,-z,relro -lusb-1.0
endif

ifeq ($(UNAME_S),Darwin)
ifneq ($(wildcard /opt/local/include),)
	# MacPorts
	CFLAGS  += -I/opt/local/include
	LDFLAGS += -L/opt/local/lib
endif
	LDFLAGS += -lusb-1.0
endif

ifeq ($(UNAME_S),FreeBSD)
	LDFLAGS += -lusb
endif

PROGRAM = uhubctl

$(PROGRAM): $(PROGRAM).c
	$(CC) $(CFLAGS) $@.c -o $@ $(LDFLAGS)

install:
	$(INSTALL_DIR) $(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) $(PROGRAM) $(DESTDIR)$(sbindir)

clean:
	$(RM) $(PROGRAM).o $(PROGRAM).dSYM $(PROGRAM)

=== debian/changelog ===
uhubctl (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #892424)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sun, 11 Mar 2018 14:34:43 +0000

=== debian/control ===
Source: uhubctl
Section: electronics
Priority: optional
Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 10.0.0), libusb-1.0-0-dev, autopkgtest
Standards-Version: 4.1.3
Homepage: https://github.com/mvp/uhubctl

Package: uhubctl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: USB hub per-port power control
 Utility to control USB power per-port on smart USB hubs.
 Smart hub is defined as one that implements per-port power switching.
 .
 Original idea for this code was inspired by hub-ctrl.c by Niibe Yutaka:
 http://www.gniibe.org/development/ac-power-control-by-USB-hub

=== debian/tests/control ===
Tests: run-uhubctl-v

## uhubctl 2.1.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,10 @@
 CC ?= gcc
 CFLAGS ?= -g -O0
 CFLAGS += -Wall -Wextra -std=c99 -pedantic
-GIT_VERSION := $(shell git describe --abbrev=4 --dirty --always --tags)
+GIT_VERSION := $(shell git describe --abbrev=8 --dirty --always --tags)
+ifeq ($(GIT_VERSION),)
+    GIT_VERSION := $(shell cat VERSION)
+endif
 CFLAGS += -DPROGRAM_VERSION=\"$(GIT_VERSION)\"
 
 ifeq ($(UNAME_S),Linux)
@@ -34,10 +37,15 @@
 	LDFLAGS += -lusb
 endif
 
+ifeq ($(UNAME_S),NetBSD)
+    CFLAGS  += $(shell pkg-config --cflags libusb-1.0)
+    LDFLAGS += $(shell pkg-config --libs libusb-1.0)
+endif
+
 PROGRAM = uhubctl
 
 $(PROGRAM): $(PROGRAM).c
-	$(CC) $(CFLAGS) $@.c -o $@ $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $@.c -o $@ $(LDFLAGS)
 
 install:
 	$(INSTALL_DIR) $(DESTDIR)$(sbindir)

=== debian/changelog ===
uhubctl (2.1.0-1) unstable; urgency=medium

  * Update to new upstream version 2.1.0.
  * [b36e1d] Standards version 4.4.0 (no changes)
  * [0f6c6d] Use debhelper 12
  * [602741] Add a DEP12 upstream metadata file
  * [554819] Automatically generate the manpage from uhubctl's help

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sun, 08 Sep 2019 01:44:31 +0200

uhubctl (2.0.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use full path to uhubctl binary in tests (Closes: #925913)
  * Mark the uhubctl -v test as superficial
  * Switch from redirecting stderr in script to Test-Command and allow-stderr
  * Use long option --version instead of -v in test

 -- Paul Wise <pabs@debian.org>  Thu, 08 Aug 2019 14:56:30 +0800

uhubctl (2.0.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 10 Apr 2019 16:30:47 +0800

uhubctl (2.0.0-4) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add Vcs-* field

  [ gustavo panizzo ]
  * [fc94ec] Fix autopkgtest

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 03 Apr 2019 09:34:35 +0800

uhubctl (2.0.0-3) unstable; urgency=medium

  * [f88227] Fix autopkgtests
  * [d0629f] New Debian release
  * [883a47] Increasing the compat level to 11
  * [593eba] Bump standards version, no changes were needed
  * [df250c] Change gbp Debian's branch to sid
  * [f37bd9] Document how the packaging is managed in README.source

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 24 Sep 2018 17:25:02 +0800

uhubctl (2.0.0-2) experimental; urgency=medium

  * Noop Debian release

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 31 Jul 2018 10:30:00 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: electronics
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 10.0.0), libusb-1.0-0-dev, autopkgtest
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), libusb-1.0-0-dev, autopkgtest, help2man
+Standards-Version: 4.4.0
 Homepage: https://github.com/mvp/uhubctl
+Vcs-Browser: https://salsa.debian.org/debian/uhubctl
+Vcs-Git: https://salsa.debian.org/debian/uhubctl.git
 
 Package: uhubctl
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/uhubctl-$1\.tar\.gz/ \
  https://github.com/mvp/uhubctl/releases .*/v?(\d\S*)\.tar\.gz

## uhubctl 2.2.0

=== debian/changelog ===
uhubctl (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * [4ef936] Commit Debian 3.0 (quilt) metadata
  * [4fc164] Standards version 4.5.0 (no changes)
  * [2a3c64] Use debhelper 13
  * [5b85ad] Add a patch-header for the automatic quilt patches
  * [d8728d] Removed applied patches to the source code
  * [ad933e] Use the workflow documented in dgit-maint-merge(7),
    update d/README.source to reflect that
  * [c30bf0] Add recommended options to d/source/options from
    dgit-maint-merge(7)
  * [44d9d7] Remove d/gbp.conf

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 02 Jun 2020 20:27:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: electronics
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper-compat (= 12), libusb-1.0-0-dev, autopkgtest, help2man
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, autopkgtest, help2man
+Standards-Version: 4.5.0
 Homepage: https://github.com/mvp/uhubctl
 Vcs-Browser: https://salsa.debian.org/debian/uhubctl
 Vcs-Git: https://salsa.debian.org/debian/uhubctl.git

## uhubctl 2.3.0

=== Makefile ===
# uhubctl Makefile
#
UNAME_S := $(shell uname -s)

DESTDIR ?=
prefix  ?= /usr
sbindir ?= $(prefix)/sbin

INSTALL		:= install
INSTALL_DIR	:= $(INSTALL) -m 755 -d
INSTALL_PROGRAM	:= $(INSTALL) -m 755
RM		:= rm -rf

CC ?= gcc
CFLAGS ?= -g -O0
CFLAGS += -Wall -Wextra -std=c99 -pedantic
GIT_VERSION := $(shell git describe --match "v[0-9]*" --abbrev=8 --dirty --tags | cut -c2-)
ifeq ($(GIT_VERSION),)
	GIT_VERSION := $(shell cat VERSION)
endif
CFLAGS += -DPROGRAM_VERSION=\"$(GIT_VERSION)\"

# Use hardening options on Linux
ifeq ($(UNAME_S),Linux)
	LDFLAGS += -Wl,-zrelro,-znow
endif

# Use pkg-config if available
ifneq (,$(shell which pkg-config))
	CFLAGS  += $(shell pkg-config --cflags libusb-1.0)
	LDFLAGS += $(shell pkg-config --libs libusb-1.0)
else
# But it should still build if pkg-config is not available (e.g. Linux or Mac homebrew)
	LDFLAGS += -lusb-1.0
endif

PROGRAM = uhubctl

$(PROGRAM): $(PROGRAM).c
	$(CC) $(CPPFLAGS) $(CFLAGS) $@.c -o $@ $(LDFLAGS)

install:
	$(INSTALL_DIR) $(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) $(PROGRAM) $(DESTDIR)$(sbindir)

clean:
	$(RM) $(PROGRAM).o $(PROGRAM).dSYM $(PROGRAM)

=== debian/changelog ===
uhubctl (2.3.0-1) unstable; urgency=medium

  [ gustavo panizzo ]
  * New upstream release
  * [30ee12] Standards version 4.5.1 (no changes)
  * [579aa3] Use a version 4 of the watch file
  * [7239e9] Set Rules-Requires-Requires no
  * [d28e61] Refresh patches

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 15 Dec 2020 20:46:37 +0000

## uhubctl 2.4.0

=== debian/changelog ===
uhubctl (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 05 Apr 2021 14:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, autopkgtest, help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/mvp/uhubctl
 Vcs-Browser: https://salsa.debian.org/debian/uhubctl
 Vcs-Git: https://salsa.debian.org/debian/uhubctl.git
+Rules-Requires-Root: no
 
 Package: uhubctl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installman:
	help2man -n uhubctl -s 8 -N -i debian/footer.man ./uhubctl | sed -r 's#(\\fB.*)$$#\1\n.br#g' > uhubctl.8
	dh_installman uhubctl.8

## uhubctl 2.5.0

=== debian/changelog ===
uhubctl (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * [30fd30] Standards version 4.6.1.0 (no changes)
  * [4c4cd2] Update copyright years

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 03 Nov 2022 20:57:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, autopkgtest, help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/mvp/uhubctl
 Vcs-Browser: https://salsa.debian.org/debian/uhubctl
 Vcs-Git: https://salsa.debian.org/debian/uhubctl.git

## uhubctl 2.6.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 INSTALL_DIR	:= $(INSTALL) -m 755 -d
 INSTALL_PROGRAM	:= $(INSTALL) -m 755
 RM		:= rm -rf
+PKG_CONFIG	?= pkg-config
 
 CC ?= gcc
 CFLAGS ?= -g -O0
@@ -26,9 +27,9 @@
 endif
 
 # Use pkg-config if available
-ifneq (,$(shell which pkg-config))
-	CFLAGS  += $(shell pkg-config --cflags libusb-1.0)
-	LDFLAGS += $(shell pkg-config --libs libusb-1.0)
+ifneq (,$(shell which $(PKG_CONFIG)))
+	CFLAGS  += $(shell $(PKG_CONFIG) --cflags libusb-1.0)
+	LDFLAGS += $(shell $(PKG_CONFIG) --libs libusb-1.0)
 else
 # But it should still build if pkg-config is not available (e.g. Linux or Mac homebrew)
 	LDFLAGS += -lusb-1.0

=== debian/changelog ===
uhubctl (2.6.0-1) unstable; urgency=medium

  * New upstream release
  * [7fef7f] Standards version 4.7.0 (no changes)
  * [334b94] Update copyright years

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 05 Sep 2024 02:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, autopkgtest, help2man
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/mvp/uhubctl
 Vcs-Browser: https://salsa.debian.org/debian/uhubctl
 Vcs-Git: https://salsa.debian.org/debian/uhubctl.git

=== debian/tests/control ===
Test-Command: /usr/sbin/uhubctl --version
Restrictions: superficial allow-stderr
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/uhubctl-$1\.tar\.gz/ \
  https://github.com/mvp/uhubctl/releases .*/v?(\d\S+)\.tar\.gz
